package io.tswf.minecraft.blockventure.core.view

import io.tswf.groovy.bettergroovy.asm.view.annotation.OnConflict
import io.tswf.groovy.bettergroovy.asm.view.annotation.View
import io.tswf.groovy.bettergroovy.asm.view.meta.ViewConflictResolveStrategy
import net.minecraft.registry.DynamicRegistryManager
import net.minecraft.registry.Registry
import net.minecraft.registry.RegistryKey

@View(targetClasses = DynamicRegistryManager.ImmutableImpl)
interface ViewDynamicRegistryManagerImmutable {

    @OnConflict(ViewConflictResolveStrategy.SKIP)
    Map<RegistryKey, Registry> getRegistries();

    @OnConflict(ViewConflictResolveStrategy.SKIP)
    void setRegistries(Map<RegistryKey, Registry> registries);
}